Subject: fldigi: Hamlib Net (aka rigctld) rig, does not accept hostnames

From: Benoit Panizzon <[email-masked]>
Date: Sat, 21 Mar 2015 09:35:48 +0100

Package: fldigi
Version: 3.22.01-1
Severity: normal

Dear Maintainer,

It took me quite a while to figure out what went wrong.

I would like to use fldigi together with rigctld so I can access the rig from different programms at the same time.
Or maybe some day when I figure out how to re-route audio from one host to another with pulseaudio, also having
a way to use my rig from a remote location.
Other programs have no problem connecting to rigctld over the internet. Not so fldigi. It always produced an hamlib i/o error
when I did try to configure the hamlib rig as 'hamlib net' connecting to localhost:4532 or 'myFQDN.example:4532'

Finaly I did try to connect to 127.0.0.1:4532 and it worked. So I suppose the problem is, that fldigi does not try
to resolve the connection string from a hostname to an IP.

Would it possible to add that 'feature'?

73 de Benoit HB9EUE

-- System Information:
Debian Release: 8.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'stable-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages fldigi depends on:
ii  libasound2         1.0.28-1
ii  libc6              2.19-13
ii  libfltk-images1.3  1.3.2-6+b1
ii  libfltk1.3         1.3.2-6+b1
ii  libgcc1            1:4.9.1-19
ii  libhamlib2         1.2.15.3-2+b1
ii  libpng12-0         1.2.50-2+b2
ii  libportaudio2      19+svn20140130-1
ii  libpulse0          5.0-13
ii  librpc-xml-perl    0.78-2
ii  libsamplerate0     0.1.8-8
ii  libsndfile1        1.0.25-9+b1
ii  libstdc++6         4.9.1-19
ii  libx11-6           2:1.6.2-3

Versions of packages fldigi recommends:
ii  extra-xdg-menus  1.0-4

Versions of packages fldigi suggests:
pn  libterm-readline-gnu-perl | libterm-readline-perl-perl  <none>

-- no debconf information